Bug 1130220 - HostObserver#token tests failing due to missed cherry pick dependency
Summary: HostObserver#token tests failing due to missed cherry pick dependency
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Other
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Greg Sutcliffe
QA Contact: Dominic Cleal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 14:56 UTC by Greg Sutcliffe
Modified: 2014-09-11 12:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:26:33 UTC


Attachments (Terms of Use)

Description Greg Sutcliffe 2014-08-14 14:56:12 UTC
When [1] was cherry-picked, there was a merged conflict which was resolved by changing the commit. In fact, the real cause was that the source of the cherry-pick[2] depended on a secondary commit[3]. This dependency contained the necessary test fixture changes to support the patch, and without it, tests are now failing[4].

A PR is incoming with a modified version of [3] to fix the issue.

[1] https://gitlab.sat.lab.tlv.redhat.com/satellite6/foreman/commit/dfb03f82cdf8677a9f1b63030ec69b9722723e45
[2] https://github.com/theforeman/foreman/commit/316d78c0e96f56cef760694db4523f651744e4e3
[3] https://github.com/theforeman/foreman/commit/6568415c2bf5493bc344eeeedebbe26f8723b7d3
[4] http://jenkinsmaster.sat.lab.tlv.redhat.com/job/test_develop/database=mysql,ruby=1.8.7/818/testReport/junit/%28root%29/HostObserverTest/test_0001_tokens_should_be_removed_based_on_build_state/

Comment 1 RHEL Product and Program Management 2014-08-14 15:03:23 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 5 Tazim Kolhar 2014-08-27 12:29:11 UTC
please provide verification steps

Comment 7 Bryan Kearney 2014-09-11 12:26:33 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.